//==========================================
// Bathroom mirror with lamps and a spray bottle
//-----------------------------------------
// Unit is meter
// This globe was used in "Lilith".
// -----------------------------------------
// Made for Persistence of vision 3.6
//==========================================  
// Copyright 2000-2004 Gilles Tran http://www.oyonale.com
// -----------------------------------------
// This work is licensed under the Creative Commons Attribution License. 
// To view a copy of this license, visit http://creativecommons.org/licenses/by/2.0/ 
// or send a letter to Creative Commons, 559 Nathan Abbott Way, Stanford, California 94305, USA.
// You are free:
// - to copy, distribute, display, and perform the work
// - to make derivative works
// - to make commercial use of the work
// Under the following conditions:
// - Attribution. You must give the original author credit.
// - For any reuse or distribution, you must make clear to others the license terms of this work.
// - Any of these conditions can be waived if you get permission from the copyright holder.
// Your fair use and other rights are in no way affected by the above. 
//==========================================  
//#declare fontdir = "c:\\windows\\fonts\\times.ttf" //  change this if necessary
#declare fontdir = "cyrvetic.ttf" 
#include "colors.inc"
global_settings{
    assumed_gamma 1.0
    radiosity{
        recursion_limit 2
    }
 }
background{rgb <150,180,201>/255}  
#declare PdV=<0, 2, -6>;
  
light_source{
    -z*100
    White*2
    area_light x*30,z*30 15,15 jitter adaptive 1 orient
    rotate x*45
    rotate y*60
}


camera
{
  location  <0, 2, -5>
  direction 4*z
  right     4*x/3
  look_at   <0, 0.43,  0>
}                                        

                                       
#declare C_Globe=color rgb <0.7,0.6,0.3>*1.3;                         
#declare T_PiedGlobe=texture{
        pigment{White*0.01}
        finish{ambient 0 diffuse 1 specular 1 roughness 1/40 reflection {0,0.5}}
}
#declare T_Globe=texture{
        pigment{image_map{jpeg "worldmap" interpolate 2 map_type 1}}
        normal{granite 0.15 scale 0.01}
        finish{ambient 0 diffuse 0.5 specular 0.6 roughness 0.005}
}                    

#declare P_TourGlobe1=
        pigment{
                wood                  
                frequency 15
                color_map{
                        [0 C_Globe*0.1]
                        [0.1 C_Globe*0.1]


                        [0.12 C_Globe]
                        [0.6 C_Globe]

                        [0.6 C_Globe*0.7]
                        [1 C_Globe]
                }
        }
#declare P_TourGlobe2=pigment{
        radial
        frequency 60
        color_map{
                [0.2 C_Globe*0.01]
                [0.2 C_Globe*0.8+<0.2,0,0>]
        }
        rotate x*90
        
}

#declare T_TourGlobe=texture{
        pigment{ 
                wood                  
                frequency 15
                turbulence 0.001
                ramp_wave
                pigment_map{
                        [0.0 P_TourGlobe2]
                        [0.34 P_TourGlobe2]

                        [0.34 P_TourGlobe1]
                        [1 P_TourGlobe1]
                }
        }       
        normal{granite 0.15 scale 0.01}
        finish{ambient 0 diffuse 0.5 specular 0.4 roughness 0.01}
        scale 1.05
        rotate x*90
}
#declare T_FerForge=texture{pigment{White*0.02} normal{granite 0.2 scale 0.05} finish{metallic brilliance 1 ambient 0 specular 1 roughness 0.1}}
#declare yPied=0.55;
#declare PiedGlobe=lathe{
	cubic_spline
	24,
	<0.024,-0.01>,	<0.026,0.000>,	<0.016,0.016>,	<0.016,0.038>,	<0.018,0.059>,	<0.015,0.070>,
	<0.018,0.072>,	<0.020,0.081>,	<0.015,0.087>,	<0.018,0.131>,	<0.016,0.186>,	<0.010,0.228>,
	<0.019,0.233>,	<0.019,0.243>,	<0.015,0.249>,	<0.020,0.270>,	<0.015,0.290>,	<0.019,0.292>,
	<0.019,0.301>,	<0.015,0.308>,	<0.015,0.342>,	<0.019,0.359>,	<0.025,0.379>,	<0.022,0.387>
	scale <1.45,1,1.45>
	scale <1,yPied/0.379,1>
	texture{T_PiedGlobe}
}       
#declare rPied=0.025;
#declare rGlobe=0.35;
#declare yTourGlobe=0.02;
#declare yTourGlobe2=yTourGlobe*0.5;
#declare espaceGlobe=0.01;
#declare eTourGlobe=rPied*1.5*2;
#declare eTourGlobe2=eTourGlobe*0.2;
#declare rTourGlobe=rGlobe+espaceGlobe+eTourGlobe;
#declare rTourGlobe2=rGlobe+espaceGlobe*1.1+eTourGlobe2;
#declare Pole=union{
        sphere{0,0.01 scale <1,2,1> translate y*0.03}
        sphere{0,0.1 scale <1,0.3,1> translate -y*0.02}
        cylinder{-y*0.1,y*espaceGlobe*1.1,0.08}
        sphere{0,0.05 scale <1,0.5,1> translate y*espaceGlobe*1.1}
        texture{T_FerForge}
}
#declare Globe=union{         
        union{
                sphere{0,1 texture{T_Globe} scale rGlobe rotate y*-50}
                object{Pole translate y*rGlobe}
                object{Pole translate y*rGlobe rotate z*180}
                union{
                        difference{cylinder{0,y*yTourGlobe,rTourGlobe}  cylinder{-y,y*2*eTourGlobe,rTourGlobe-eTourGlobe}}
                        torus{rTourGlobe,yTourGlobe*0.5 translate y*yTourGlobe*0.5}
                        texture{T_TourGlobe}
                }
                union{
                        difference{cylinder{0,y*yTourGlobe2,rTourGlobe2}  cylinder{-y,y*2*eTourGlobe2,rTourGlobe2-eTourGlobe2}}
                        torus{rTourGlobe2,yTourGlobe2*0.5 translate y*yTourGlobe2*0.5}
                        texture{T_FerForge}
                        rotate z*90
                        rotate y*10
                }                 
                #declare i=0; #declare j=0;
                #while (i<360)
                        #declare Car=text{ttf fontdir,chr(48+mod(j,10)),0.2,0}
                        //#warning concat(chr(48+mod(j,10)),"\n")
                        object{Car translate -x*0.5 rotate x*90 scale espaceGlobe*3 translate (rGlobe+espaceGlobe+eTourGlobe*0.25)*z translate y*yTourGlobe*1.1 pigment{C_Globe*0.1} rotate y*i}
                        #declare i=i+6;#declare j=j+1;
                        
                #end
                translate y*yPied
        }
        union{
                object{PiedGlobe translate x*(rGlobe+0.9*eTourGlobe)}
                object{PiedGlobe translate x*(rGlobe+0.9*eTourGlobe) rotate y*90}
                object{PiedGlobe translate x*(rGlobe+0.9*eTourGlobe) rotate y*180}
                object{PiedGlobe translate x*(rGlobe+0.9*eTourGlobe) rotate y*270}
        	texture{T_PiedGlobe}
        }        	
}
object{Globe rotate y*30}
plane{y,0 texture{pigment{White} finish{ambient 0 diffuse 0.5}}}

